Some LTP tests make use of pthread_cancel(). This function requires that
libgcc is installed. Otherwise it will fail and print out the following
message is printed out: "libgcc_s.so.1 must be installed for pthread_cancel
to work".

Signed-off-by: Jean-Jacques Hiblot <jjhib...@ti.com>
---
 meta-arago-extras/recipes-devtools/ltp-ddt/ltp-ddt_20170929.bb | 1 +
 1 file changed, 1 insertion(+)

diff --git a/meta-arago-extras/recipes-devtools/ltp-ddt/ltp-ddt_20170929.bb 
b/meta-arago-extras/recipes-devtools/ltp-ddt/ltp-ddt_20170929.bb
index 240e665..3626175 100644
--- a/meta-arago-extras/recipes-devtools/ltp-ddt/ltp-ddt_20170929.bb
+++ b/meta-arago-extras/recipes-devtools/ltp-ddt/ltp-ddt_20170929.bb
@@ -33,6 +33,7 @@ RDEPENDS_${PN} = "\
     unzip \
     util-linux \
     which \
+    libgcc\
 "
 
 inherit autotools-brokensep
-- 
1.9.1

_______________________________________________
meta-arago mailing list
meta-arago@arago-project.org
http://arago-project.org/cgi-bin/mailman/listinfo/meta-arago

Reply via email to